
/**
 * Beschreibt die Schnittstelle von der Programmlogik zum Kontroller
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */

interface KontrollerInterface
{
    /**
     * Meldet das anstehende Kommando
     * @return Kommando
     */
    Kommandos KommandoGeben();
    
    /**
     * Meldet den zum Kommando gehörenden Parameterwert.
     * @return Kommandoparameter
     */
    int KommandoParameterGeben();
}
