
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
/**
 * Zeigt die Spielregel an
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
class SpielregelAnzeige
{
    /** Fenster */
    JFrame f;
    /** Textfeld zur Anzeige */
    JTextArea regelanzeige;

    /**
     * Legt die Komponeten an
     */
    SpielregelAnzeige()
    {
        regelanzeige = new JTextArea();
        regelanzeige.setText(
            "Du bist ein Zauberer und in einem unterirdischen Gewölbe aus Räumen und Verbindungsgängen gefangen.\n" +
            "Um das Gewölbe verlassen zu können, musst du drei magische Schlüssel finden;\n" +
            "dann kannst du den Ausgang finden und ins Freie gelangen.\n" +
            "Damit das Spiel nicht zu leicht wird, hausen in den meisten Räumen Monster, die es zu besiegen gilt.\n" +
            "Dazu findest du in den Räumen Waffen und magische Artefakte, die Zaubersprüche.\n" +
            "Die Waffen unterteilen sich in Angriffs- und Schutzwaffen. Du kannst eine deiner Angriffswaffen\n" +
            "in die Hand nehmen, in dem du sie in deiner Schatzübersicht auswählst und dann den Knopf 'Aktivieren' drückst.\n" +
            "Genau so kannst du eine deiner Schutzwaffen anziehen.\n" +
            "Einen Zauberspruch kannst du anwenden, in dem du ihn in der Übersicht deiner Schätze auswählst\n" + 
            "und dann ebenfalls den Knopf 'Aktivieren' drückst." +
            "\n" +
            "Wenn du einen neuen Raum betrittst (Klick in der Landkarte) muss du zuerst mit dem dort\n" +
            "befindlichen Monster kämpfen. Dafür zählen vor allem deine Handwaffe und die Schutzwaffe,\n" +
            "die du angezogen hast. Wenn du gewinnst, ist alles gut. Wenn du verlierst, kannst du den\n" +
            "Kampf abbrechen (dann hast du verloren) oder Fortsetzen. Vor den Fortsetzen kannst du eine\n" +
            "neue Handwaffe und eine neue Schutzwaffe wählen. Du kannst auch einen Zauberspruch ausführen,\n" +
            "von dem du vermutest, dass er beim Kampf hilft." +
            "\n" +
            "Wenn du den Kampf gewonnen hast, kannst du dich an den Schätzen im Raum bedienen. Du wählst ihn\n" +
            "dazu in der Schatzübersicht des Raums aus und drückst auf 'Mitnehmen'. Einzige Einschränkung\n" +
            "ist, dass jeder Schatz ein Gewicht hat und du nur ein bestimmtes Maximalgewicht tragen kannst.\n" +
            "Auch belasten die Zaubersprüche dein Gehirn - sie haben ein Mentalgewicht. Auch die Kapazität\n" +
            "deines Gehirns ist begrenzt und lässt nicht zu viele magische Schätze zu. Damit dich früher\n" +
            "gefundene, schwächere Schätze nicht daran hindern, neue, bessere Schätze mitzunehmen, kannst\n" +
            "du auch Schätze in einem Raum ablegen - du wählst einen deiner Schätze\n" +
            "in der Übersicht deiner Schätze aus und drückst 'Dalassen'.\n" +
            "Jetzt weißt du alles, was du Wissen musst, den Rest musst du selbst heraus finden." +
            "\n" +
            "\n" +
            "Viel Spass :-)"
        );

        f = new JFrame ("Spielregel");
        f.setLocation(50, 30);
        f.add(regelanzeige);
        f.setSize (800, 600);
        f.setVisible(true);
    }
    
    /**
     * Macht das Fenster wieder sichtbar.
     */
    void SpielregelAnzeigen()
    {
        f.setVisible(true);
    }
}
