
/**
 * Oberklasse aller Sprüche
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Spruch extends Schatz
{
    /** Ein Spruch hat ein Mentalgewicht, man muss ihn sich merken */
    int mentalgewicht;

    /**
     * Der Konstruktor besetzt das Spiel
     * @param sp das Spiel, in dem das Objekt verwendet wird.
     */
    Spruch (Spiel sp)
    {
        super(sp);
    }

    /**
     * Meldet das Mentalgewicht des Spruchs.
     */
    int MentalgewichtGeben()
    {
        return mentalgewicht;
    }
    
    /**
     * Wird aufgerufen, wenn der Spruch gefunden wurde.
     * Die Oberklassenimplemetierung hat die leere Leistung
     */
    void GefundenMelden ()
    {
        //nichts
    }

    /**
     * Führt den Spruch aus
     */
    void Ausführen ()
    {
    }
}
